Debian Bug report logs - #510780
linux-image-2.6.24-1-486: sound card YMF-724F, firmware request failed

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: stefan@pofahl.de

Date: Sun, 4 Jan 2009 20:57:00 UTC

Severity: important

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#510780; Package linux-image-2.6.24-1-486. (Sun, 04 Jan 2009 20:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to stefan@pofahl.de:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Sun, 04 Jan 2009 20:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Stefan Pofahl" <stefan@pofahl.de>
To: submit@bugs.debian.org
Subject: Re: linux-image-2.6.24-1-486: sound card YMF-724F, firmware request failed
Date: Sun, 4 Jan 2009 21:55:43 +0100
[Message part 1 (text/plain, inline)]
Package: linux-image-2.6.24-1-486
Version: 2.6.24-4
Severity: important

bug=466570

Hello!

Installing the firmware is not enough,
the modul "soundcore.ko" is still necessary.
It would be fine to put some advice in the
kernel documentation or to fix the bug,
it is still present in version 2.6.26-12.

I published advice for Yamaha hardware:
http://www.jpberlin.de/st.pofahl/html/science-and-software/Gnu-Linux/alsa-sound.html

Regards,

Stefan






-- 
Tel.: 0731-3805149
Ochsensteige 48
89075 Ulm
[Message part 2 (text/html, inline)]

Bug reassigned from package `linux-image-2.6.24-1-486' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 04 Jan 2009 21:30:05 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 25 Oct 2009 17:39:09 GMT) Full text and rfc822 format available.

Notification sent to stefan@pofahl.de:
Bug acknowledged by developer. (Sun, 25 Oct 2009 17:39:09 GMT) Full text and rfc822 format available.

Message #12 received at 510780-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 510780-done@bugs.debian.org
Subject: Re: linux-image-2.6.24-1-486: sound card YMF-724F, firmware request failed
Date: Sun, 25 Oct 2009 17:19:26 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2009-01-04 at 21:55 +0100, Stefan Pofahl wrote:
> Package: linux-image-2.6.24-1-486
> Version: 2.6.24-4
> Severity: important
> bug=466570
> 
> Hello!
> 
> Installing the firmware is not enough, 
> the modul "soundcore.ko" is still necessary.
[...]
> I published advice for Yamaha hardware:
> http://www.jpberlin.de/st.pofahl/html/science-and-software/Gnu-Linux/alsa-sound.html

As you noted, soundcore was renamed to snd.  Nothing is missing and
there is no need to make a symbolic link.

Ben.

-- 
Ben Hutchings
I'm always amazed by the number of people who take up solipsism because
they heard someone else explain it. - E*Borg on alt.fan.pratchett
[signature.asc (application/pgp-signature, inline)]

Message #13 received at 510780-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 510780-done@bugs.debian.org
Subject: Re: linux-image-2.6.24-1-486: sound card YMF-724F, firmware request failed
Date: Sun, 25 Oct 2009 17:22:41 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2009-10-25 at 17:19 +0000, Ben Hutchings wrote:
> On Sun, 2009-01-04 at 21:55 +0100, Stefan Pofahl wrote:
> > Package: linux-image-2.6.24-1-486
> > Version: 2.6.24-4
> > Severity: important
> > bug=466570
> > 
> > Hello!
> > 
> > Installing the firmware is not enough, 
> > the modul "soundcore.ko" is still necessary.
> [...]
> > I published advice for Yamaha hardware:
> > http://www.jpberlin.de/st.pofahl/html/science-and-software/Gnu-Linux/alsa-sound.html
> 
> As you noted, soundcore was renamed to snd.  Nothing is missing and
> there is no need to make a symbolic link.

Actually, no, these are two separate modules and both still present.  I
have no idea why soundcore was missing on your system.

Ben.

-- 
Ben Hutchings
I'm always amazed by the number of people who take up solipsism because
they heard someone else explain it. - E*Borg on alt.fan.pratchett
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#510780; Package linux-2.6. (Mon, 26 Oct 2009 15:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to stefan@pofahl.de:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 26 Oct 2009 15:30:04 GMT) Full text and rfc822 format available.

Message #18 received at 510780@bugs.debian.org (full text, mbox):

From: Stefan Pofahl <stefan@pofahl.de>
To: 510780@bugs.debian.org
Cc: ben@decadent.org.uk
Subject: Re: Bug#510780 closed by Ben Hutchings <ben@decadent.org.uk> (Re: linux-image-2.6.24-1-486: sound card YMF-724F, firmware request failed)
Date: Mon, 26 Oct 2009 14:18:08 +0100
Hello Ben,

I don't know why, but I needed the link.
> As you noted, soundcore was renamed to snd.  Nothing is missing and
> there is no need to make a symbolic link.

I'm a greenhorn, so I don't know what is happening during kernel compilation,
my impression is:
During compilation not only the kernel sources are checked, but that it is
also relevand on which machine or under which kernel you compile the
new one.

My soundcard works now, so I'm not interested to test, if the bug is still
there.

Is there chance that the firmware for yamaha soundcards will be included
in the kernel source or that there will be a firmware package in the
debian distribution?

Regards,

stefan

***

2009/10/25 Debian Bug Tracking System <owner@bugs.debian.org>:
> This is an automatic notification regarding your Bug report
> which was filed against the linux-2.6 package:
>
> #510780: linux-image-2.6.24-1-486: sound card YMF-724F, firmware request failed
>
> It has been closed by Ben Hutchings <ben@decadent.org.uk>.
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Ben Hutchings <ben@decadent.org.uk> by
> replying to this email.
>
>
> --
> 510780: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=510780
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
>
>
> ---------- Weitergeleitete Nachricht ----------
> From: Ben Hutchings <ben@decadent.org.uk>
> To: 510780-done@bugs.debian.org
> Date: Sun, 25 Oct 2009 17:19:26 +0000
> Subject: Re: linux-image-2.6.24-1-486: sound card YMF-724F, firmware request failed
> On Sun, 2009-01-04 at 21:55 +0100, Stefan Pofahl wrote:
>> Package: linux-image-2.6.24-1-486
>> Version: 2.6.24-4
>> Severity: important
>> bug=466570
>>
>> Hello!
>>
>> Installing the firmware is not enough,
>> the modul "soundcore.ko" is still necessary.
> [...]
>> I published advice for Yamaha hardware:
>> http://www.jpberlin.de/st.pofahl/html/science-and-software/Gnu-Linux/alsa-sound.html
>
> As you noted, soundcore was renamed to snd.  Nothing is missing and
> there is no need to make a symbolic link.
>
> Ben.
>
> --
> Ben Hutchings
> I'm always amazed by the number of people who take up solipsism because
> they heard someone else explain it. - E*Borg on alt.fan.pratchett
>
>
> ---------- Weitergeleitete Nachricht ----------
> From: "Stefan Pofahl" <stefan@pofahl.de>
> To: submit@bugs.debian.org
> Date: Sun, 4 Jan 2009 21:55:43 +0100
> Subject: Re: linux-image-2.6.24-1-486: sound card YMF-724F, firmware request failed
>
> Package: linux-image-2.6.24-1-486
> Version: 2.6.24-4
> Severity: important
>
> bug=466570
>
> Hello!
>
> Installing the firmware is not enough,
> the modul "soundcore.ko" is still necessary.
> It would be fine to put some advice in the
> kernel documentation or to fix the bug,
> it is still present in version 2.6.26-12.
>
> I published advice for Yamaha hardware:
> http://www.jpberlin.de/st.pofahl/html/science-and-software/Gnu-Linux/alsa-sound.html
>
> Regards,
>
> Stefan
>
>
>
>
>
>
> --
> Tel.: 0731-3805149
> Ochsensteige 48
> 89075 Ulm
>
>



-- 
Tel.: 0731-3805149
Ochsensteige 48
89075 Ulm




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#510780; Package linux-2.6. (Tue, 27 Oct 2009 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 27 Oct 2009 01:57:03 GMT) Full text and rfc822 format available.

Message #23 received at 510780@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: stefan@pofahl.de, 510780@bugs.debian.org
Cc: ben@decadent.org.uk
Subject: Re: Bug#510780: closed by Ben Hutchings <ben@decadent.org.uk> (Re: linux-image-2.6.24-1-486: sound card YMF-724F, firmware request failed)
Date: Tue, 27 Oct 2009 00:23:24 +0100
On Mon, Oct 26, 2009 at 02:18:08PM +0100, Stefan Pofahl wrote:
> 
> Is there chance that the firmware for yamaha soundcards will be included
> in the kernel source or that there will be a firmware package in the
> debian distribution?
> 

unknown license with no redistribution right,
guess if one would ask the license holder, maybe it can get distributed.

Copyright (c) 1997-1999 Yamaha Corporation. All Rights Reserved.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#510780; Package linux-2.6. (Tue, 27 Oct 2009 06:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 27 Oct 2009 06:51:09 GMT) Full text and rfc822 format available.

Message #28 received at 510780@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: stefan@pofahl.de
Cc: 510780@bugs.debian.org
Subject: Re: Bug#510780 closed by Ben Hutchings <ben@decadent.org.uk> (Re: linux-image-2.6.24-1-486: sound card YMF-724F, firmware request failed)
Date: Mon, 26 Oct 2009 22:13:56 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2009-10-26 at 14:18 +0100, Stefan Pofahl wrote:
> Hello Ben,
> 
> I don't know why, but I needed the link.
> > As you noted, soundcore was renamed to snd.  Nothing is missing and
> > there is no need to make a symbolic link.
> 
> I'm a greenhorn, so I don't know what is happening during kernel compilation,
> my impression is:
> During compilation not only the kernel sources are checked, but that it is
> also relevand on which machine or under which kernel you compile the
> new one.

It should not matter much, as long as you have a working compiler and
use the same processor architecture.  Please remove the section 'Check
the modules of your kernel' from
<http://www.jpberlin.de/st.pofahl/html/science-and-software/Gnu-Linux/alsa-sound.html> as it is bad advice.

> My soundcard works now, so I'm not interested to test, if the bug is still
> there.
> 
> Is there chance that the firmware for yamaha soundcards will be included
> in the kernel source or that there will be a firmware package in the
> debian distribution?
[...]

Most firmware that is distributed only in binary form can be packaged as
part of firmware-nonfree, but this depends on the exact terms of its
licence.

The documentation for firmware extracted from the Linux source
(firmware/WHENCE) says:

> Driver: ymfpci -- Yamaha YMF724/740/744/754 audio devices
> 
> File: yamaha/ds1_ctrl.fw
> File: yamaha/ds1_dsp.fw
> File: yamaha/ds1e_ctrl.fw
> 
> Licence: Unknown
> 
> Found alsa-firmware package in hex form, with the following comment:
>    Copyright (c) 1997-1999 Yamaha Corporation. All Rights Reserved.

Unfortunately this means we have no explicit permission to distribute.
It was presumably intended that the firmware could be distributed along
with the driver that loads it, but it's less clear that we can do so as
a separate package which is not officially part of the Debian system.
We have tried to reduce legal risk for Debian and its mirrors by
removing such firmware completely.

In some cases I have tried contacting copyright holders to get such
explicit permission but I have rarely been successful.  You are welcome
to help by searching for appropriate contacts at Yamaha and making such
a request.

Ben.

-- 
Ben Hutchings
I'm always amazed by the number of people who take up solipsism because
they heard someone else explain it. - E*Borg on alt.fan.pratchett
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Nov 2009 07:31:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:43:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.